GET /v2/templates
List templates (v2)
List all templates
Parameters
teamID·string· query · optionalIdentifier of the team
nextToken·string· query · optionalCursor to start the list from
limit·integer· query · optionalMaximum number of items to return per page
Format:
int32Default:
100Minimum:
1Maximum:
100
Responses
200
Successfully returned all templates
Response headers
X-Next-Token·string· response headerCursor to fetch the next page of results, if more exist
Content-Type: application/json
Schema: array<Template>
templateID·string· requiredIdentifier of the template
buildID·string· requiredIdentifier of the last successful build for given template
cpuCount·CPUCount· requiredCPU cores for the sandbox
Format:
int32Minimum:
1memoryMB·MemoryMB· requiredMemory for the sandbox in MiB
Format:
int32Minimum:
128diskSizeMB·DiskSizeMB· requiredDisk size for the sandbox in MiB
Format:
int32Minimum:
0public·boolean· requiredWhether the template is public or only accessible by the team
names·array<string>· requiredNames of the template (namespace/alias format when namespaced)
createdAt·string· requiredTime when the template was created
Format:
date-timeupdatedAt·string· requiredTime when the template was last updated
Format:
date-timecreatedBy·TeamUser | null· requiredcreatedBy.id·string· requiredIdentifier of the user
Format:
uuidlastSpawnedAt·string | null· requiredTime when the template was last used
Format:
date-timespawnCount·integer· requiredNumber of times the template was used
Format:
int64buildCount·integer· requiredNumber of times the template was built
Format:
int32envdVersion·EnvdVersion· requiredVersion of the envd running in the sandbox
buildStatus·TemplateBuildStatus· requiredStatus of the template build
Allowed values for
TemplateBuildStatus:building|waiting|ready|error
400
Bad request
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
401
Authentication error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
403
Forbidden
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
500
Server error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError